#include <iostream>

using namespace std;

const int MaxK=100;
const int MaxM=14;
const int MaxN=1000;

void rendez(int,int[]);
int megszamol(int,int,int,int[]);
bool vanUresFahaz(int&,int,int,const int[],const int[]);

int main()
{
    cerr << "Moho - Kemping" << endl;

    int K;
    int M;
    int N;
    int kezd[MaxN];

    int johet;

    cerr << "K=? :";
    cin >> K;
    cerr << "M=? :";
    cin >> M;
    cerr << "N=? :";
    cin >> N;
    for (int i=0;i<N;i++) {
        cerr << (i+1) << ". igeny kezdete=? :";
        cin >> kezd[i];
    }

    rendez(N,kezd);
    /* DUMP */
    cerr << "A rendezett kezd: ";
    for (int i=0;i<N;i++) {
        cerr << kezd[i] << " ";
    }
    cerr << endl;
    /* */

    johet=megszamol(K,M,N,kezd);

    cout << johet << endl;

    return 0;
}

void rendez(int N,int X[]){
    for (int i=0;i<N-1;i++) {
        for (int j=i+1;j<N;j++) {
            if (X[j]<X[i]) { /// csere
                int seged=X[i];
                X[i]=X[j];
                X[j]=seged;
            }
        }
    }
}

int megszamol(int K,int M,int N,int kezd[]){
    int johet=0;
	int foglalt[MaxK]={};
	for (int i=0;i<N;i++) {
        int j;
		if (vanUresFahaz(j,K,i,kezd,foglalt) && (kezd[i]+M-1<=365)) {
			foglalt[j]=kezd[i]+M-1;
			johet++;
        }
	}
	return johet;
}

bool vanUresFahaz(int &j,int K,int i,const int kezd[],const int foglalt[]){
    j=0;
	while ((j<K) && (foglalt[j]>=kezd[i])) {
		j++;
    }
	return (j<K);
}

